Loading...
Searching...
No Matches
field_lazy_form_mult.h File Reference

Go to the source code of this file.

## Classes

class | field_lazy_mult_form_rep< FormExpr, FieldExpr >
class | field_lazy_mult_form< FormExpr, FieldExpr >
struct | is_field_lazy< field_lazy_mult_form< FormExpr, FieldExpr > >
class | field_lazy_trans_mult_form_rep< FormExpr, FieldExpr >
class | field_lazy_trans_mult_form< FormExpr, FieldExpr >
struct | is_field_lazy< field_lazy_trans_mult_form< FormExpr, FieldExpr > >

## Namespaces

namespace | rheolef
| This file is part of Rheolef.
namespace | rheolef::details

## Functions

template<class FormExpr , class FieldExpr , class Sfinae1 = typename std::enable_if<details:: is_form_lazy<FormExpr> ::value, FormExpr>::type, class Sfinae2 = typename std::enable_if<details::is_field_lazy<FieldExpr>::value, FieldExpr>::type>
details::field_lazy_mult_form< FormExpr, FieldExpr > | operator* (const FormExpr &a, const FieldExpr &u)
| a*u: see the `form` page for the full documentation
template<class FormExpr , class Sfinae = typename std::enable_if<details::is_form_lazy<FormExpr>::value, FormExpr>::type>
details::field_lazy_mult_form< FormExpr, details::field_lazy_terminal_field< typename FormExpr::scalar_type, typename FormExpr::memory_type > > | operator* (const FormExpr &a, const field_basic< typename FormExpr::scalar_type, typename FormExpr::memory_type > &u)
| a*u: see the `form` page for the full documentation